<md-toolbar class="md-hue-2 no-print">
    <div class="md-toolbar-tools">
        <div flex md-truncate>
            <h2>{{subtitle}}</h2>
        </div>
        <md-input-container>
            <label>Round</label>
            <md-select ng-model="master.round_id" ng-change="round_change()">
                <md-option><em>None</em></md-option>
                <md-option ng-repeat="x in Round" ng-value="x.roundId">
                    {{x.roundName}}
                </md-option>
            </md-select>
        </md-input-container>
        <md-button class="md-raised md-primary" ng-click="reset()">Load</md-button>
    </div>
</md-toolbar>
<div class="container no-print">
    <md-input-container class="col-md-3">
        <label>Group</label>
        <md-select ng-model="search.party_group_id" multiple="">
            <md-option><em>None</em></md-option>
            <md-option ng-repeat="x in PartyGroup" ng-value="x.party_group_id">
                {{x.party_group_name}}
            </md-option>
        </md-select>
    </md-input-container>
</div>
<div class="container" ng-if="type=='entry'">
    <p>GROUP WISE REPORT {{get_heading()}} </p>
    <div class="row" ng-repeat="(m,x) in PartyGroup | filter:myFilter">
        <h5 style="text-align: center; text-decoration: underline; text-transform: uppercase;">{{x.party_group_name}}
        </h5>
        <table class="table table-bordered table-striped table-hover table-sm" style="font-size: 13px;">
            <thead>
                <!-- <tr>
                    <td colspan="3" style="width: 80px;">Head Code</td>
                    <td colspan="8">Name</td>
                    <td colspan="3" style="width: 100px;">CAPACITY</td>
                </tr> -->
            </thead>
            <tbody ng-repeat="(i,xi) in x.parties">
                <tr>
                    <td colspan="3">Head Code : {{xi.party_head_code}}</td>
                    <td colspan="5">Name : {{xi.party_name}}</td>
                    <td colspan="5">CAPACITY : {{xi.party_purchase_capacity | INR}}</td>
                </tr>
                <tr>
                    <td style="width: 60px;">Sr</td>
                    <td style="width: 100px;">Lot.No</td>
                    <td style="width: 80px; text-align: right;">Pr.No</td>
                    <td>SOCIETY</td>
                    <td style="width: 100px;"> D.UNION</td>
                    <td style="width: 60px;">Rank</td>
                    <td style="width: 100px;">RATE</td>
                    <td style="width: 100px;">L Year</td>
                    <td style="width: 100px;">Diff</td>
                    <td style="width: 100px;">%</td>
                    <td style="width: 100px; text-align: right;">St.Bags</td>
                    <td style="width: 100px; text-align: right;">Amount</td>
                </tr>
                <tr ng-repeat="(mi,x) in xi.party_lot_data | orderBy:sorterFunc" ng-if="x.party_lot_status=='ALLOTED' || x.party_lot_status=='Luckey Rate'">
                    <td style="width: 60px;">{{mi+1}}</td>
                    <td>{{x.Lot.lotNo}} </td>
                    <td style="text-align: right;">{{x.party_lot_priority}}</td>
                    <td>{{x.Lot.lotName}} </td>
                    <td>{{x.Lot.lotDISTU}} </td>
                    <td>{{x.party_lot_rank}} </td>
                    <!-- {{x.party_lot_data}} -->
                    <td>{{x.party_lot_pur_rate}}</td>
                    <td>{{x.Lot.lotLRATE}}</td>
                    <td>{{(x.party_lot_pur_rate-x.Lot.lotLRATE)}}</td>
                    <!-- <td>{{((xi.party_lot_pur_rate-xi.Lot.lotLRATE)/xi.Lot.lotLRATE*100).toFixed(2) =='Infinity' ? "**" : ((xi.party_lot_pur_rate-xi.Lot.lotLRATE)/xi.Lot.lotLRATE*100).toFixed(2)}}</td> -->
                    <!-- <td>{{((xi.party_lot_pur_rate-xi.Lot.lotLRATE)/xi.Lot.lotLRATE*100).toFixed(2)}}</td> -->
                    <td>{{((x.party_lot_pur_rate-x.Lot.lotLRATE)/x.Lot.lotLRATE*100).toFixed(2)== "Infinity" ? "***" : ((x.party_lot_pur_rate-x.Lot.lotLRATE)/x.Lot.lotLRATE*100).toFixed(2)}}
                    </td>
                    <td style="text-align: right;">{{x.Lot.lotSTANB}} </td>
                    <td style="text-align: right;">{{x.party_lot_qty_per_rate | INR}}</td>
                    <!-- <td>{{xi.party_lot_status}}</td> -->
                </tr>
                <tr>
                    <td colspan="10">Total</td>
                    <!-- {{x.party_lot_data.sum()}} -->
                    <td style="text-align: right;">{{get_std_total(xi) | INR}}</td>
                    <td style="text-align: right;">{{get_amt_total(xi) | INR}}</td>
                </tr>
                <tr>
                    <td colspan="10"></td>
                    <td>BALANCE</td>
                    <td style="text-align: right;">{{xi.party_purchase_capacity-get_amt_total(xi) | INR}}</td>
                </tr>

            </tbody>
            <tbody>
                <tr>
                    <td colspan="13"><b> (TOTAL : LOTS) {{get_lots(x) | INR}}
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CAPACITY : {{get_capacity(x) | INR}}
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; STD. BAGS :
                            {{get_bags(x) | INR}} &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            ROYALTY:
                            {{get_royalty(x) | INR}} </b></td>
                </tr>
                </tfoot>
        </table>
    </div>
</div>

<div class="container" ng-if="type=='result'">
    <p>GROUP WISE REPORT {{get_heading()}} </p>
    <div class="row" ng-repeat="(m,x) in PartyGroup | filter:myFilter">
        <h5 style="text-align: center; text-decoration: underline; text-transform: uppercase;">{{x.party_group_name}}
        </h5>
        <table class="table table-bordered table-striped table-hover table-sm" style="font-size: 13px;">
            <thead>
                <!-- <tr>
                    <td colspan="3" style="width: 80px;">Head Code</td>
                    <td colspan="8">Name</td>
                    <td colspan="3" style="width: 100px;">CAPACITY</td>
                </tr> -->
            </thead>
            <tbody ng-repeat="(i,xi) in x.parties">
                <tr>
                    <td colspan="3">Head Code : {{xi.party_head_code}}</td>
                    <td colspan="5">Name : {{xi.party_name}}</td>
                    <td colspan="5">CAPACITY : {{xi.party_purchase_capacity | INR}}</td>
                </tr>
                <tr>
                    <td style="width: 60px;">Sr</td>
                    <td style="width: 100px;">Lot.No</td>
                    <td style="width: 80px; text-align: right;">Pr.No</td>
                    <td>SOCIETY</td>
                    <td style="width: 100px;"> D.UNION</td>
                    <td style="width: 60px;">Rank</td>
                    <td style="width: 100px;">RATE</td>
                    <!-- <td style="width: 100px;">L Year</td>
                    <td style="width: 100px;">Diff</td>
                    <td style="width: 100px;">%</td> -->
                    <td style="width: 100px; text-align: right;">St.Bags</td>
                    <td style="width: 100px; text-align: right;">Amount</td>
                </tr>
                <tr ng-repeat="(mi,x) in xi.party_lot_data | orderBy:sorterFunc">
                    <td style="width: 60px;">{{mi+1}}</td>
                    <td>{{x.Lot.lotNo}} </td>
                    <td style="text-align: right;">{{x.party_lot_priority}}</td>
                    <td>{{x.Lot.lotName}} </td>
                    <td>{{x.Lot.lotDISTU}} </td>
                    <td>{{x.party_lot_rank}} </td>
                    <!-- {{x.party_lot_data}} -->
                    <td>{{x.party_lot_pur_rate}}</td>
                    <!-- <td>{{x.Lot.lotLRATE}}</td> -->
                    <!-- <td>{{(x.party_lot_pur_rate-x.Lot.lotLRATE)}}</td> -->
                    <!-- <td>{{((xi.party_lot_pur_rate-xi.Lot.lotLRATE)/xi.Lot.lotLRATE*100).toFixed(2) =='Infinity' ? "**" : ((xi.party_lot_pur_rate-xi.Lot.lotLRATE)/xi.Lot.lotLRATE*100).toFixed(2)}}</td> -->
                    <!-- <td>{{((xi.party_lot_pur_rate-xi.Lot.lotLRATE)/xi.Lot.lotLRATE*100).toFixed(2)}}</td> -->
                    <!-- <td>{{((x.party_lot_pur_rate-x.Lot.lotLRATE)/x.Lot.lotLRATE*100).toFixed(2)== "Infinity" -->
                    <!-- ? "***" : ((x.party_lot_pur_rate-x.Lot.lotLRATE)/x.Lot.lotLRATE*100).toFixed(2)}} -->
                    </td>
                    <td style="text-align: right;">{{x.Lot.lotSTANB}} </td>
                    <td style="text-align: right;">{{x.party_lot_qty_per_rate | INR}}</td>
                    <!-- <td>{{xi.party_lot_status}}</td> -->
                </tr>
                <tr>
                    <td colspan="7">Total</td>
                    <!-- {{x.party_lot_data.sum()}} -->
                    <td style="text-align: right;">{{get_std_total(xi) | INR}}</td>
                    <td style="text-align: right;">{{get_amt_total(xi) | INR}}</td>
                </tr>
                <tr>
                    <td colspan="7"></td>
                    <td>BALANCE</td>
                    <td style="text-align: right;">{{xi.party_purchase_capacity-get_amt_total(xi) | INR}}</td>
                </tr>

            </tbody>
            <tbody>
                <tr>
                    <td colspan="13"><b> (TOTAL : LOTS) {{get_lots(x) | INR}}
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CAPACITY : {{get_capacity(x) | INR}}
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; STD. BAGS :
                            {{get_bags(x) | INR}} &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            ROYALTY:
                            {{get_royalty(x) | INR}} </b></td>
                </tr>
                </tfoot>
        </table>
    </div>
</div>